import React, { useState, useEffect } from 'react';
import { View, Image, Text, Button, showToast, ScrollView, navigateTo } from '@ray-js/ray';
import { useProps } from '@ray-js/panel-sdk';

import styles from './index.module.less';

export function Home() {
  const work_mode = useProps(props => props.work_mode);

  useEffect(() => {
    console.log('Home work_mode', work_mode);
  }, [work_mode]);

  return (
    <View className={styles.view}>
      <Button
        onClick={() => {
          navigateTo({
            url: '/pages/Demo1/index',
          });
        }}
      >
        Go to Demo1
      </Button>
      <Button
        onClick={() => {
          navigateTo({
            url: '/pages/Demo2/index',
          });
        }}
      >
        Go to Demo2
      </Button>
    </View>
  );
}

export default Home;
